﻿@model List<BankCardVerificationViewModel>

@{
    ViewBag.Title = "کارت های بانکی";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">لیست احراز کارت های بانکی</h4>
    </div>
    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                                    @<thead>
                                        <tr>
                                            <th style="width:10px;">
                                                @Html.DisplayNameFor(model => model.GetObject().Id)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.GetObject().FullName)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.GetObject().CardNumber)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.GetObject().UserIdentityVerificationStatus)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.GetObject().VerificationStatus)
                                            </th>
                                            <th>
                                                <span>عملیات</span>
                                            </th>
                                        </tr>
                                    </thead>,
            @<tbody>
                @foreach (var mod in Model)
                 {
                 <tr id="row-@mod.Id">
                     <td>
                         @Html.DisplayFor(modelItem => mod.Id)
                     </td>
                     <td>
                         <a href="@Url.Action("Detail","User", new { Id = mod.UserId })" target="_blank" title="@mod.UserEmail | @mod.UserPhoneNumber">
                             @Html.DisplayFor(modelItem => mod.FullName)
                         </a>
                         @if(mod.FinnotechHistory != null) {
                             if(mod.FinnotechHistory.Result == "0") { 
                                <p>نام صاحب کارت (@mod.FinnotechHistory.Name)</p>
                             }else if (mod.FinnotechHistory.Result == "78")
                             {
                                 <p>کارت غیر فعال است.</p>
                             }
                             else
                             {
                                 <p>نتیجه نا مشخص</p>
                             }
                         }
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => mod.CardNumber)
                     </td>
                     <td style="color:@mod.UserIdentityVerificationStatus.ToDisplay(DisplayProperty.GroupName)">
                         @mod.UserIdentityVerificationStatus.ToDisplay()
                     </td>
                     <td>
                         <span id="vf-display-@mod.Id">
                             @mod.VerificationStatus.ToDisplay()
                         </span>
                         <div id="vf-edit-@mod.Id" style="display:none;">
                             @Html.EnumDropDownListFor(modelItemm => mod.VerificationStatus, new { @class = "form-control", id = "VerificationStatus-" + mod.Id })
                             <div class="form-group">
                                 <label for="vf-desc-@mod.Id">توضیح</label>
                                 <textarea id="vf-desc-@mod.Id" name="vf-desc-@mod.Id" class="form-control"></textarea>
                             </div>
                         </div>
                     </td>
                     <td>
                         <div class="btn-group">
                             @*@Html.ActionLink("مشاهده", "Identity", new { id = mod.Id }, new { @class = "btn btn-secondary" })*@
                             <a href="#" id="vf-auto-@mod.Id" onclick="autoCheck(@mod.Id); return false;" class="btn btn-warning">بررسی اتوماتیک</a>
                             <a href="#" id="vf-change-@mod.Id" onclick="changeStatus(@mod.Id); return false;" class="btn btn-secondary">تغییر وضعیت</a>
                         </div>
                         <div style="display:none;" id="vf-editBtn-@mod.Id">
                             <a href="#" class="btn btn-success" onclick="saveStatus(@mod.Id); return false;">ذخیره</a>
                             <a href="#" class="btn btn-danger" onclick="cancelStatus(@mod.Id); return false;">لغو</a>
                         </div>
                     </td>
                 </tr>
                 }
            </tbody>).Order(0, DataTabledOrder.Desc)
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function autoCheck(id) {
            var postData = { id: id };
            doAjax(postData, "@Url.Action("AutoCheckCard")", function (data) {
                if (data.Status) {
                    $('#row-' + id).remove();
                } else {
                    location.reload();
                }
            });
        }
        function changeStatus(id) {
            $('#vf-change-' + id).hide();
            $('#vf-display-' + id).hide();
            $('#vf-edit-' + id).show();
            $('#vf-editBtn-' + id).show();
        }
        function saveStatus(id) {
            var status = $('#VerificationStatus-' + id).val();
            var description = $('#vf-desc-' + id).val();
            var postData = { id: id, status: status, description: description };
            doAjax(postData, "@Url.Action("VerifyBankCard")", function (data) {
                $('#row-' + id).remove();
            });
        }
        function cancelStatus(id) {
            $('#vf-change-' + id).show();
            $('#vf-display-' + id).show();
            $('#vf-edit-' + id).hide();
            $('#vf-editBtn-' + id).hide();
        }
    </script>
}